petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestGetAdaptivityLabel

Get the label of the pre-adaptation forest (see DMForestGetAdaptivityForest()) that holds the adaptation flags (refinement, coarsening, or some combination). The interpretation of the label values is up to the subtype of DMForest, but DM_ADAPT_DETERMINE, DM_ADAPT_KEEP, DM_ADAPT_REFINE, and DM_ADAPT_COARSEN have been reserved as choices that should be accepted by all subtypes.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivityLabel(DM dm, DMLabel *adaptLabel)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

adaptLabel -the name of the label in the pre-adaptation forest

### See Also

DMForestSetAdaptivityLabel()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages